# pn_port_cos_rate_setting – CLI command to modify port-cos-rate-setting

New in version 2.8.

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- This modules can be used to update the port cos rate limit.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
pn_cliswitch string |  | Target switch to run the CLI on.
pn_cos0_rate string |  | cos0 rate limit (pps) unlimited or 0 to 10000000.
pn_cos1_rate string |  | cos1 rate limit (pps) unlimited or 0 to 10000000.
pn_cos2_rate string |  | cos2 rate limit (pps) unlimited or 0 to 10000000.
pn_cos3_rate string |  | cos3 rate limit (pps) unlimited or 0 to 10000000.
pn_cos4_rate string |  | cos4 rate limit (pps) unlimited or 0 to 10000000.
pn_cos5_rate string |  | cos5 rate limit (pps) unlimited or 0 to 10000000.
pn_cos6_rate string |  | cos6 rate limit (pps) unlimited or 0 to 10000000.
pn_cos7_rate string |  | cos7 rate limit (pps) unlimited or 0 to 10000000.

pn_port
string

Choices:
- control-port
- data-port
- span-ports

port.

state
string / required

Choices:
- update

State the action to perform. Use `update` to modify the port-cos-rate-setting.

## Examples

    - name: port cos rate modify
      pn_port_cos_rate_setting:
        pn_cliswitch: "sw01"
        state: "update"
        pn_port: "control-port"
        pn_cos1_rate: "1000"
        pn_cos5_rate: "1000"
        pn_cos2_rate: "1000"
        pn_cos0_rate: "1000"

    - name: port cos rate modify
      pn_port_cos_rate_setting:
        pn_cliswitch: "sw01"
        state: "update"
        pn_port: "data-port"
        pn_cos1_rate: "2000"
        pn_cos5_rate: "2000"
        pn_cos2_rate: "2000"
        pn_cos0_rate: "2000"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | indicates whether the CLI caused changes on the target.
command string | always | the CLI command run on the target node.
stderr list | on error | set of error responses from the port-cos-rate-setting command.
stdout list | always | set of responses from the port-cos-rate-setting command.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Pluribus Networks (@rajaspachipulusu17)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.